Xvesa(1)

NAME
Xvesa - VESA Bios Extensions tiny X server

SYNOPSIS
Xvesa [:display] [option...]

DESCRIPTION
Xvesa is a generic X server for Linux on the x86 platform. Xvesa doesn't know about any particular hardware, and sets the video mode by running the video BIOS in VM86 mode. Xvesa can use both standard VGA BIOS modes and any modes advertised by a VESA BIOS if available. Xvesa runs untrusted code with full privileges, and is therefore a fairly insecure X server. Run at your own risk.

OPTIONS
In addition to the normal KDrive server's options (see Xkdrive(1)), Xvesa accepts the following command line switches:

-mode n
    specifies the VESA video mode to use. If mode n is not supported by your BIOS and hardware, Xvesa will fail, hang your system, or cause your monitor to explode; you are on your own. This option overrides any -screen options.

-listmodes
    list all supported video modes. If -force was specified before -listmodes, lists all the modes that your BIOS claims to support, even those that the Xvesa server won't be able to use.

-force
    disable some sanity checks and use the specified mode even if the BIOS claims not to support it.

-shadow
    use a shadow framebuffer even if it is not strictly necessary. This may dramatically improve performance on some hardware.

-nolinear
    don't use a linear framebuffer even if one is available. You don't want to use this option.

-swaprgb
    pass RGB values in the order that works on broken BIOSes. Use this if the colours are wrong in PseudoColor and 16 colour modes.

-verbose
    emit diagnostic messages during BIOS initialization and teardown.

KEYBOARD
To be written.

BUGS
Xvesa opens all IO ports and runs your VESA BIOS, which may be assumed to be buggy. Allowing your users to run Xvesa is probably a security hole. Xvesa records the current BIOS mode when it starts and restores that mode on termination; if the video card has been reprogrammed by another application, the display will almost certainly be trashed. The alternative of saving and restoring the complete video card state has proven unreliable on most video cards.

SEE ALSO
X(__miscmansuffix__), Xserver(1), Xkdrive(1), xdm(1), xinit(1).

AUTHORS
The VESA driver was written by Juliusz Chroboczek who didn't realise what he was doing until it was too late. Keith Packard then added support for standard VGA BIOS modes and is especially proud of 320x200 16 colour mode.